View Issue Details

IDProjectCategoryView StatusLast Update
0000802FreeCADBugpublic2012-08-01 19:51
ReporterpperisinAssigned Toyorik 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000802: Draft scale - some problems and some suggestions
DescriptionHi,

When I use Draft scale on a body that has one color per face (body with multiple colors), during "scale action", when scale values are choosen in the interface using mouse, I still see all the faces colors. But when I click final mouse click, that creates scaled object - it is single colored. Worst part is, After object is created this way, I do not have ability to color it any more.

Also, it might be worth considering how does scale work in Sketchup:
http://www.youtube.com/watch?v=I_xqUsZnzJA

This is IMO much more user frendly.

Regards
Petar
TagsNo tags attached.

Activities

yorik

2012-07-21 20:17

administrator   ~0002296

Okay I can correct the color problem, but as for the sketchup scale, that means creating a complete new tool, and should be the matter of a specific feature request. There is some discussion about a scale feature on the forum too.

pperisin

2012-07-22 12:34

reporter   ~0002298

OK, so here is the thing - I just found out that draft clone does the same thing and allows me to scale. Really nice. So I do not really need sketchup-based scale. I could work with clone.

So what you could do is simply modify single color per face issue in this two tools (scale and clone) and close this request.

Also, I can not find the thread where this is discussed, so can you please post link to it here?

Regards
Petar

yorik

2012-07-22 14:02

administrator   ~0002299

This makes me think I could make the scale tool produce a Draft clone. Would be handy, and the original shape would be kept instead of lost...
Okay I'll do that and fix the color thing.

yorik

2012-07-22 21:00

administrator   ~0002301

Fixed in 6251510

pperisin

2012-07-23 07:25

reporter   ~0002302

Last edited: 2012-07-23 09:54

Hi Yorik.

Just a small note - this is not totally fixed - using draft clone still does not copy colors. However, draft scale works properly, and this is fixed in it.

Regards,
Petar

yorik

2012-08-01 19:51

administrator   ~0002306

Fixed again in 88ea348

Issue History

Date Modified Username Field Change
2012-07-21 11:04 pperisin New Issue
2012-07-21 20:17 yorik Note Added: 0002296
2012-07-21 20:17 yorik Status new => assigned
2012-07-21 20:17 yorik Assigned To => yorik
2012-07-22 12:34 pperisin Note Added: 0002298
2012-07-22 14:02 yorik Note Added: 0002299
2012-07-22 21:00 yorik Note Added: 0002301
2012-07-22 21:00 yorik Status assigned => closed
2012-07-22 21:00 yorik Resolution open => fixed
2012-07-22 21:00 yorik Fixed in Version => 0.13
2012-07-23 07:25 pperisin Note Added: 0002302
2012-07-23 07:25 pperisin Status closed => feedback
2012-07-23 07:25 pperisin Resolution fixed => reopened
2012-07-23 09:54 pperisin Note Edited: 0002302
2012-08-01 19:51 yorik Note Added: 0002306
2012-08-01 19:51 yorik Status feedback => closed
2012-08-01 19:51 yorik Resolution reopened => fixed